Executes a report with optional filter overrides and optionally distributes it via email.
Use this endpoint to run a report with custom filters and/or email the result to recipients.
Returns 204 No Content when OnlySendIfData is true and the report generated no data.
Returns 200 with the generated file when data exists or OnlySendIfData is false.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificReportId | Unique numeric identifier of the specific report to run | integer (int32) | Required |
Request Body
DistributedReportsConfiguration
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| clearFilters | Indicates whether or not to clear out stored filters for the requested report during execution. When set to true, any stored filters for this report will be removed. Only filters provided in the Filters property will be applied. When set to false, any stored filters will still apply when the report is executed. | boolean | ||||||||||||
| distribution | EmailProperties | |||||||||||||
|
EmailProperties properties
|
||||||||||||||
| fileName | Filename for the resulting report file. Do not provide file type suffix. Defaults to {specificReportCode}-{specificReportInfo}{fileNameExtension} | string | ||||||||||||
| filters | List of filters to use when executing this report. How they are handled depends upon the other configuration options used in this request. | FilterEdit[] | ||||||||||||
|
FilterEdit properties
|
||||||||||||||
| format | Desired format for the resulting report. Available options are PDF, Excel, Excel formatted, Excel data only, Word, and CSV. Support for each format varies by report. | string | ||||||||||||
| onlySendIfData | Indicates whether or not to email a report if it contains no data. When set to true, if distributing the requested report to an email list and the report contains no data, the report will not be emailed. When set to false, if the requested report has no data, it will still be sent to the email list. | boolean | ||||||||||||
| saveFilters | Indicates whether or not to save the filters provided in the Filters property. When set to true, any filters currently stored for the requested report will be overwritten with those provided in the Filters property. When set to false, any filters provided in the Filters property will not be saved after execution. However, they will be used for this report execution. | boolean | ||||||||||||
| useCopy | Indicates whether or not to use a copy of the report when generating it.
When set to true, a one-time copy of the requested specific report will be created, set with the provided filters, and then deleted afterward. This functionality is useful when you want to run a report with a one-time filter set, without touching the original report’s filters. |
boolean | ||||||||||||
Example Request Body
{ "clearFilters": false, "distribution": { "body": "string", "recipients": [
"string"
], "subject": "string"
}, "fileName": "string", "filters": [
{ "fieldId": 1, "operator": "string", "value": "string"
}
], "format": "string", "onlySendIfData": false, "saveFilters": false, "useCopy": false
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
204
No Content
The request succeeded. No content is returned in the response body.